LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 09-02-2007, 05:54 AM   #16
dr_smit
Member
 
Registered: Jan 2007
Posts: 39

Original Poster
Rep: Reputation: 15
Grossly wrong..


I have logged in MySQL with the root password for mysql

Also, I ./configure->make->make test->make installed PHP-5.2.4

I don't know how to asses apache's status

but rpm -q for all 3 are returning same message- PACKAGE NOT INSTALLED..

plz help..
 
Old 09-02-2007, 07:03 AM   #17
dr_smit
Member
 
Registered: Jan 2007
Posts: 39

Original Poster
Rep: Reputation: 15
Howzat! Still a miss?

Desperately need your assistance

apache

[dr_smit@smitdesk ~]$ rpm -qa | grep apache
apache-base-2.2.4-6.2mdv2007.1
apache-conf-2.2.4-4mdv2007.1
apache-mod_php-5.2.1-4mdv2007.1
apache-doc-2.2.4-3mdv2007.1
apache-modules-2.2.4-6.2mdv2007.1
apache-source-2.2.4-6mdv2007.1
apache-mod_php4-4.4.6-3mdv2007.1
apache-mpm-prefork-2.2.4-6.2mdv2007.1

PHP

[dr_smit@smitdesk ~]$ rpm -qa | grep php
php-recode-5.2.1-1mdv2007.1
php-clamav-0.12a-8mdv2007.1
php-xmlrpc-5.2.1-1.1mdv2007.1
php-openssl-5.2.1-4.2mdv2007.1
php-ftp-5.2.1-1.1mdv2007.1
php-gettext-5.2.1-1mdv2007.1
php-pdo_sqlite-5.2.1-1mdv2007.1
php-imap-5.2.1-1mdv2007.1
libphp4_common4-4.4.6-3mdv2007.1
php-sqlite-5.2.1-1mdv2007.1
php-netools-0.2-3mdv2007.1
php-pdo_pgsql-5.2.1-1mdv2007.1
php-iconv-5.2.1-1mdv2007.1
php-gd-5.2.1-1.1mdv2007.1
php-sockets-5.2.1-1mdv2007.1
php-pspell-5.2.1-1mdv2007.1
php-ctype-5.2.1-1mdv2007.1
apache-mod_php-5.2.1-4mdv2007.1
libc-client-php0-2006c1-2mdv2007.1
php-sysvmsg-5.2.1-1mdv2007.1
php4-tokenizer-4.4.6-1mdv2007.1
libphp5_common5-5.2.1-4.2mdv2007.1
php-pdo_odbc-5.2.1-1mdv2007.1
php-suhosin-0.9.18-4mdv2007.1
php-dbase-5.2.1-1mdv2007.1
php-ini-5.2.1-2mdv2007.1
phpmyadmin-2.10.0.2-2mdv2007.1
php-cli-5.2.1-4.2mdv2007.1
php-colorer-0.7-7mdv2007.1
php-sysvshm-5.2.1-1mdv2007.1
php-pdo_mysql-5.2.1-1mdv2007.1
php-devel-5.2.1-4.2mdv2007.1
php-sysvsem-5.2.1-1mdv2007.1
php-manual-en-5.2.1-1mdv2007.1
php-mssql-5.2.1-1mdv2007.1
php-mysql-5.2.1-1mdv2007.1
php-dba-5.2.1-1mdv2007.1
php-xmlreader-5.2.1-1mdv2007.1
php-odbc-5.2.1-1mdv2007.1
php-xsl-5.2.1-1mdv2007.1
php-exif-5.2.1-1mdv2007.1
php-curl-5.2.1-1mdv2007.1
php-tokenizer-5.2.1-1mdv2007.1
php-filepro-5.1.6-4mdv2007.1
php4-ini-4.4.6-1mdv2007.1
php-session-5.2.1-1mdv2007.1
php-mbstring-5.2.1-1.1mdv2007.1
php-pcntl-5.2.1-1mdv2007.1
php-mcrypt-5.2.1-1mdv2007.1
php-gmp-5.2.1-1mdv2007.1
php-filter-5.2.1-0.1mdv2007.1
php-calendar-5.2.1-1mdv2007.1
php-shmop-5.2.1-1mdv2007.1
php-simplexml-5.2.1-1mdv2007.1
php-mysqli-5.2.1-1mdv2007.1
apache-mod_php4-4.4.6-3mdv2007.1
php-cups-1.2.10-2mdv2007.1
php-pgsql-5.2.1-1mdv2007.1
php5-jpgraph-doc-2.1.2-1mdv2007.0
php-xmlwriter-5.2.1-1mdv2007.1
php-zlib-5.2.1-4.2mdv2007.1
php-mcal-0.6-13mdv2007.1
php-dom-5.2.1-1mdv2007.1
php-readline-5.2.1-1mdv2007.1
php-xml-5.2.1-1mdv2007.1
php-hash-5.2.1-1mdv2007.1
php-pdo_dblib-5.2.1-1mdv2007.1
php-bz2-5.2.1-1mdv2007.1
php-tidy-5.2.1-1mdv2007.1
php-timezonedb-2007.3-1mdv2007.1
php-ldap-5.2.1-1mdv2007.1
php-posix-5.2.1-1mdv2007.1
php-pdo-5.2.1-1mdv2007.1
php-soap-5.2.1-1.1mdv2007.1
php5-test-5.1.6-1mdv2007.0
php-mhash-5.2.1-1mdv2007.1
php-snmp-5.2.1-1mdv2007.1
php4-suhosin-0.9.18-2mdv2007.1
php-json-1.2.1-3mdv2007.1

MySQL
[dr_smit@smitdesk ~]$ rpm -qa | grep mysql
libmysql15-5.0.37-2.1mdv2007.1
perl-DBD-mysql-3.0006-2mdv2007.0
libmysql12-4.0.27-1mdk
php-pdo_mysql-5.2.1-1mdv2007.1
php-mysql-5.2.1-1mdv2007.1
php-mysqli-5.2.1-1mdv2007.1
[dr_smit@smitdesk ~]$
 
Old 09-03-2007, 04:27 AM   #18
nan0meter
Member
 
Registered: Aug 2007
Location: The Netherlands
Distribution: Fedora 7 x86_64
Posts: 119

Rep: Reputation: 15
Well everything should work now i guess? I mean you have installed php, apache and mysql...

But i see you have installed both mod_php4 (apache-mod_php4-4.4.6-3mdv2007.1) and mod_php5 (apache-mod_php-5.2.1-4mdv2007.1)

You must uninstall mod_php4 ... try that, if it doesn't work then post your apache config. In fedora it's located in /etc/httpd/conf/http.conf and your php.ini file, in Fedora /etc/php.ini
 
Old 09-03-2007, 09:48 PM   #19
dr_smit
Member
 
Registered: Jan 2007
Posts: 39

Original Poster
Rep: Reputation: 15
you got it right!!

Quote:
Originally Posted by nan0meter View Post
Well everything should work now i guess? I mean you have installed php, apache and mysql...

But i see you have installed both mod_php4 (apache-mod_php4-4.4.6-3mdv2007.1) and mod_php5 (apache-mod_php-5.2.1-4mdv2007.1)

You must uninstall mod_php4 ... try that, if it doesn't work then post your apache config. In fedora it's located in /etc/httpd/conf/http.conf and your php.ini file, in Fedora /etc/php.ini
As suggested at
http://www.bradymd.com/appliance/manual2/#0.Instructions%20for%20Building%20the%20OpenEMR%20Appliance|outline Iremoved php5 and installed php4 and it worked
I got beyond the continue button and a screen for password and local host server setup after setting firewall..

but the next screen is stuck at:

Synitech OpenEMR Setup

Step 3

Connecting to MySQL Server... OK.
Creating database...
Fatal error: Call to undefined function: mysql_create_db() in /var/www/html/openemr/setup.php on line 129


I am using Madriva 2007..

Last edited by dr_smit; 09-03-2007 at 09:52 PM.
 
  


Reply

Tags
apache, mysql, php


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: OpenEMR 2.8.3 Released LXer Syndicated Linux News 0 08-24-2007 09:11 AM
LXer: OpenEMR forked? LXer Syndicated Linux News 0 02-15-2007 12:46 PM
prerequisites of MTA nouha Linux - Software 1 03-16-2006 09:07 PM
damned PHP Prerequisites viperkt400 Linux - Software 1 02-14-2005 04:16 PM
All these libraries an prerequisites... theres got to be an easier way. Moebius Linux - Software 5 01-14-2004 03:22 PM


All times are GMT -5. The time now is 07:26 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration